# Retrieve zoom information in Shiny

Source: `R/shiny-input.R`
`set_input_zoom.Rd`

Retrieve zoom information in Shiny

    set_input_zoom(ax, inputId, session = shiny::getDefaultReactiveDomain())

## Arguments

ax | An `apexcharts` `htmlwidget` object.
inputId | The id that will be used server-side for retrieving zoom.
session | The Shiny session.

## Value

An `apexcharts` `htmlwidget` object.

## Note

If x-axis is of type datetime, value retrieved is of class `POSIXct`.

## Examples

    if (interactive()) {

      run_input_demo("zoom")

    }